export class ProperTransactionInfo {
    txnKind;
    emTxnType;
    centerProcDatetime;
    cardType;
    cardNo;
    cardBrandCode;
    settlementStatus;
    cvsTxnType;
    peTxnType;
    receiptNo;
    startDatetime;
    cardTransactionType;
    gatewayRequestDate;
    gatewayResponseDate;
    centerRequestDate;
    centerResponseDate;
    centerRequestNumber;
    centerReferenceNumber;
    reqItemCode;
    resItemCode;
    reqReturnReferenceNumber;
    responsedata;
    pending;
    loopback;
    connectedCenterId;
    reqCardNumber;
    reqCardExpire;
    reqAmount;
    reqCardOptionType;
    reqMerchantTransaction;
    reqAuthCode;
    reqAcquirerCode;
    reqCardCenter;
    reqJpoInformation;
    reqSalesDay;
    reqCancelDay;
    reqWithCapture;
    reqWithDirect;
    req3dMessageVersion;
    req3dTransactionId;
    req3dTransactionStatus;
    req3dCavvAlgorithm;
    req3dCavv;
    req3dEci;
    req3dDsTransactionId;
    req3dServerTransactionId;
    reqSecurityCode;
    reqAuthFlag;
    reqBirthday;
    reqTel;
    reqFirstKanaName;
    reqLastKanaName;
    resMerchantTransaction;
    resReturnReferenceNumber;
    resAuthCode;
    resActionCode;
    resCenterErrorCode;
    resAuthTerm;
    reqWithNew;
    amount;
    txnFixed;
    ppTxnType;
    centerTxnId;
    feeAmount;
    exchangeRate;
    netRefundAmount;
    mpiTransactionType;
    reqRedirectionUri;
    corporationId;
    brandId;
    acquirerBinary;
    dsLoginId;
    crresStatus;
    veresStatus;
    paresStatus;
    paresSign;
    paresEci;
    authResponseCode;
    verifyResponseCode;
    res3dMessageVersion;
    res3dTransactionId;
    res3dDsTransactionId;
    res3dServerTransactionId;
    res3dTransactionStatus;
    res3dCavvAlgorithm;
    res3dCavv;
    res3dEci;
    authRequestDatetime;
    authResponseDatetime;
    verifyRequestDatetime;
    verifyResponseDatetime;
    reqCurrencyUnit;
    aqAqfWalletBalance;
    aqAqfPointBalance;
    aqAvailableValue;
    upopTxnType;
    resUpopSettleAmount;
    resUpopSettleDate;
    resUpopSettleCurrency;
    resUpopExchangeDate;
    resUpopExchangeRate;
    resUpopOrderId;
    centerTradeId;
    alipayTxnType;
    settleAmount;
    settleCurrency;
    paymentTime;
    settlementTime;
    payType;
    crResultCode;
    detailCommandType;
    crRequestDatetime;
    crResponseDatetime;
    oricoTxnType;
    orderStateCode;
    approvalNo;
    requestDate;
    loanPrincipal;
    paymentCount;
    jpyAmount;
    resMcpResponseCode;
    rakutenApiErrorCode;
    rakutenOrderErrorCode;
    rakutenRequestDatetime;
    rakutenResponseDatetime;
    recruitErrorCode;
    recruitRequestDatetime;
    recruitResponseDatetime;
    linepayErrorCode;
    linepayRequestDatetime;
    linepayResponseDatetime;
    authCode;
    referenceNumber;
    cardVResultCode;
    masterpassRequestDatetime;
    masterpassResponseDatetime;
    withReconcile;
    depositId;
    registrationMethod;
    depositDate;
    transferName;
    tenpayErrorCode;
    tenpayRequestDatetime;
    tenpayResponseDatetime;
    resCenterProcessNumber;
    resCenterSendDateTime;
    storeId;
    terminalId;
    paypayResultCode;
    settleBizCode;
    receiptNumber;
    itemName;
    paypayRequestDatetime;
    paypayResponseDatetime;
    paypayOnlineTxnId;
    paypayErrorCode;
    gatewayTransId;
    alipayxResultCode;
    alipayxRequestDatetime;
    alipayxResponseDatetime;
    cvspayResultCd;
    cvspayRequestDatetime;
    cvspayResponseDatetime;
    cvspayCancelOrderId;
    authorResult;
    centerTransactionId;
    centerResultCode;
    centerStateCode;
    centerReasonCode;
    merpayErrorCode;
    operatorId;
    slipCode;
    merpayResourceId;
    merpayProcessingId;
    merpayRequestDatetime;
    merpayResponseDatetime;
    inquiryCode;
    useCredit;
    useCoupon;
    usePoint;
    eposRequestDatetime;
    eposResponseDatetime;
    reqPaymentType;
    reqResponseCode;
    fdResult;
    frequencyUnit;
    frequencyValue;
    rakutenApiErrorType;
    bankpayErrorCode;
    bankpayRequestDatetime;
    bankpayResponseDatetime;
}
//# sourceMappingURL=ProperTransactionInfo.js.map