import type { IRequestDto } from "../../tgMdk/IRequestDto.js";
import { AbstractPaymentRequestDto } from "../AbstractPaymentRequestDto.js";
export declare class LinepayAuthorizeRequestDto extends AbstractPaymentRequestDto implements IRequestDto {
    readonly serviceType: string;
    readonly serviceCommand: string;
    orderId: string | undefined;
    amount: string | undefined;
    withCapture: string | undefined;
    itemId: string | undefined;
    itemName: string | undefined;
    itemImageUrl: string | undefined;
    checkUseBrowser: string | undefined;
    appUrlScheme: string | undefined;
    useOriginalApp: string | undefined;
    mid: string | undefined;
    packageName: string | undefined;
    langCd: string | undefined;
    successUrl: string | undefined;
    cancelUrl: string | undefined;
    errorUrl: string | undefined;
    pushUrl: string | undefined;
    oneTimeKey: string | undefined;
    paymentConfirmType: string | undefined;
    private _maskedLog;
    get maskedLog(): string | undefined;
    set maskedLog(value: string);
}
