import type {IRequestDto} from "../../tgMdk/IRequestDto.js";
import {AbstractPaymentRequestDto} from "../AbstractPaymentRequestDto.js";


export class LinepayAuthorizeRequestDto extends AbstractPaymentRequestDto implements IRequestDto {
    readonly serviceType: string = "linepay";
    readonly serviceCommand: string = "Authorize";


    orderId: string | undefined;


    amount: string | undefined;


    withCapture: string | undefined;


    itemId: string | undefined;


    itemName: string | undefined;


    itemImageUrl: string | undefined;


    checkUseBrowser: string | undefined;


    appUrlScheme: string | undefined;


    useOriginalApp: string | undefined;


    mid: string | undefined;


    packageName: string | undefined;


    langCd: string | undefined;


    successUrl: string | undefined;


    cancelUrl: string | undefined;


    errorUrl: string | undefined;


    pushUrl: string | undefined;


    oneTimeKey: string | undefined;


    paymentConfirmType: string | undefined;


    private _maskedLog: string | undefined;

    get maskedLog(): string | undefined {
        return this._maskedLog;
    }

    set maskedLog(value: string) {
        this._maskedLog = value;
    }
}

